


<h1>orbit hopper</h1>

	https://docs.docker.com/desktop/install/linux-install/
	
	https://github.com/docker/docker-py
	
	ENGINE:
	
		INSTALL:
			#
			#	https://docs.docker.com/engine/install/
			#
		
			sudo dnf -y install dnf-plugins-core
			sudo dnf config-manager --add-repo https://download.docker.com/linux/fedora/docker-ce.repo
			sudo dnf -y install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin		
			
		START:
			sudo systemctl start docker
			sudo systemctl status docker
			
		EXAMPLE:
			docker run hello-world
			docker run -it ubuntu bash
			
			#
			#	https://hub.docker.com/_/fedora/
			#
			docker run -it fedora bash
			python3 -m ensurepip --upgrade
			python3 -m pip install netifaces
			
			dnf install net-tools
			ifconfig -a

			netifaces
			
			python3 -m http.server 80
			http://172.17.0.2
			
			
		IMAGES:
			docker images
			
			
		CONTAINERS:
			docker ps -a
		
		
			IP ADDRESS:
				docker inspect e6b988e3fe80
		
		PYTHON:
			#
			#	https://pypi.org/project/docker/
			#
		
		
	DESKTOP:
		sudo dnf install gnome-terminal
		sudo dnf install ./docker-desktop-<version>-<arch>.rpm	
		
		sudo dnf install ./docker-desktop-4.24.0-x86_64.rpm